/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.stresstestingreporttemplates;

import cdac.medinfo.sdk.dcm30_04.baselibs.ContentSequenceItem;
import cdac.medinfo.sdk.dcm30_04.enums.EnumContinuityOfContent;
import cdac.medinfo.sdk.dcm30_04.srtree.SRTree;
import cdac.medinfo.sdk.dcm30_04.templates.cid.CardiacSynchronizationTechnique_CID3104;
import cdac.medinfo.sdk.dcm30_04.templates.cid.ElectrodePlacementValues_CID3263;
import cdac.medinfo.sdk.dcm30_04.templates.cid.ExerciserDevice_CID3203;
import cdac.medinfo.sdk.dcm30_04.templates.cid.IndicationsForPharmacologicalStressTest_CID3205;
import cdac.medinfo.sdk.dcm30_04.templates.cid.NonInvasiveCardiacImagingProcedures_CID3206;
import cdac.medinfo.sdk.dcm30_04.templates.cid.NuclearCardiologyProtocols_CID3110;
import cdac.medinfo.sdk.dcm30_04.templates.cid.PETCardiologyProtocols_CID3106;
import cdac.medinfo.sdk.dcm30_04.templates.cid.PatientOrientationModifier_CID20;
import cdac.medinfo.sdk.dcm30_04.templates.cid.PatientOrientation_CID19;
import cdac.medinfo.sdk.dcm30_04.templates.cid.StressAgents_CID3204;
import cdac.medinfo.sdk.dcm30_04.templates.cid.StressProtocols_CID3261;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_CardiacSynchronizationTechnique;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_ElectrodePlacementValues;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_ExerciserDevice;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_IndicationsForPharmacologicalStressTest;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_NonInvasiveCardiacImagingProcedures;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_NuclearCardiologyProtocols;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_PETCardiologyProtocols;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_PatientOrientation;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_PatientOrientationModifier;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_StressAgents;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_StressProtocols;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_StressTestProcedureDescription;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_StressTestProcedureDescription;
import cdac.medinfo.sdk.dcm30_04.templates.generaltemplates.Template;

/**
 * This class represents StressTestProcedureDescription_TID3301
 */
	public class StressTestProcedureDescription_TID3301 extends Template
{
	private static final String strCM = null;
	
	/**
	 * Object of StressProtocols_CID3261
	 */
	private StressProtocols_CID3261 objStressProtocolsCID3261;
	
	/**
	 * Object of ElectrodePlacementValues_CID3263
	 */
	private ElectrodePlacementValues_CID3263 objElectrodePlacementValuesCID3263;
	
	/**
	 * Object of ExerciserDevice_CID3203
	 */
	private ExerciserDevice_CID3203 objExerciserDeviceCID3203;
	
	/**
	 * Object of StressAgents_CID3204
	 */
	private StressAgents_CID3204 objStressAgentsCID3204;
	
	/**
	 * Object of IndicationsForPharmacologicalStressTest_CID3205
	 */
	private IndicationsForPharmacologicalStressTest_CID3205 objIndicationsForPharmacologicalStressTestCID3205;
	
	/**
	 * Object of NonInvasiveCardiacImagingProcedures_CID3206
	 */
	private NonInvasiveCardiacImagingProcedures_CID3206 objNonInvasiveCardiacImagingProceduresCID3206;
	
	/**
	 * Object of NuclearCardiologyProtocols_CID3110
	 */
	private NuclearCardiologyProtocols_CID3110 objNuclearCardiologyProtocolsCID3110;
	
	/**
	 * Object of PETCardiologyProtocols_CID3106
	 */
	private PETCardiologyProtocols_CID3106 objPETCardiologyProtocolsCID3106;
	
	/**
	 * Object of CardiacSynchronizationTechnique_CID3104
	 */
	private CardiacSynchronizationTechnique_CID3104 objCardiacSynchronizationTechniqueCID3104;
	
	/**
	 * Object of PatientOrientation_CID19
	 */
	private PatientOrientation_CID19 objPatientOrientationCID19;
	/**
	 * Object of PatientOrientationModifier_CID20
	 */
	private PatientOrientationModifier_CID20 objPatientOrientationModifierCID20;
	
	/**
	 * Instantiates a new StressTestProcedureDescription_TID3301 Template.
	 * @param objTree Object of SRTree.
	 */
	public StressTestProcedureDescription_TID3301(SRTree objTree)
	{
		super(objTree);
	}
	
	/**
	 * Sets the value for Finding.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setFinding(int[] arrPosition, EnumCM_IndicationsForPharmacologicalStressTest enumIndicationsForPharmacologicalStressTest)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.FINDING.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.FINDING_121071.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objIndicationsForPharmacologicalStressTestCID3205)
			this.objIndicationsForPharmacologicalStressTestCID3205 = new IndicationsForPharmacologicalStressTest_CID3205();
		this.objIndicationsForPharmacologicalStressTestCID3205.setIndicationsForPharmacologicalStressTest(enumIndicationsForPharmacologicalStressTest);

		String strCM = objIndicationsForPharmacologicalStressTestCID3205.getCodeMeaning();
		String strCV = objIndicationsForPharmacologicalStressTestCID3205.getCodeValue();
		String strCSD = objIndicationsForPharmacologicalStressTestCID3205.getCodingSchemeDesignator();
		String strSNOMEDCTID = objIndicationsForPharmacologicalStressTestCID3205.getSNOMEDCTID();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Imaging procedure.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setImagingprocedure(int[] arrPosition,EnumCM_NonInvasiveCardiacImagingProcedures enumNonInvasiveCardiacImagingProcedures)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.IMAGING_PROCEDURE.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.IMAGING_PROCEDURE_P0_0099A.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.SRT.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objNonInvasiveCardiacImagingProceduresCID3206)
			this.objNonInvasiveCardiacImagingProceduresCID3206 = new NonInvasiveCardiacImagingProcedures_CID3206();
		this.objNonInvasiveCardiacImagingProceduresCID3206.setNonInvasiveCardiacImagingProcedures(enumNonInvasiveCardiacImagingProcedures);

		String strCM = objNonInvasiveCardiacImagingProceduresCID3206.getCodeMeaning();
		String strCV = objNonInvasiveCardiacImagingProceduresCID3206.getCodeValue();
		String strCSD = objNonInvasiveCardiacImagingProceduresCID3206.getCodingSchemeDesignator();
		
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCM, strCV,"");
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Acquisition Protocol.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setAcquisitionProtocol(int[] arrPosition,EnumCM_PETCardiologyProtocols enumPETCardiologyProtocols)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.ACQUISITION_PROTOCOL.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.ACQUISITION_PROTOCOL_125203.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objPETCardiologyProtocolsCID3106)
			this.objPETCardiologyProtocolsCID3106 = new PETCardiologyProtocols_CID3106();
		this.objPETCardiologyProtocolsCID3106.setPETCardiologyProtocols(enumPETCardiologyProtocols);

		String strCM = objPETCardiologyProtocolsCID3106.getCodeMeaning();
		String strCV = objPETCardiologyProtocolsCID3106.getCodeValue();
		String strCSD = objPETCardiologyProtocolsCID3106.getCodingSchemeDesignator();
		
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCM, strCV,"");
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Acquisition Protocol.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setAcquisitionProtocol(int[] arrPosition,EnumCM_NuclearCardiologyProtocols enumNuclearCardiologyProtocols)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.ACQUISITION_PROTOCOL.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.ACQUISITION_PROTOCOL_125203.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objNuclearCardiologyProtocolsCID3110)
			this.objNuclearCardiologyProtocolsCID3110 = new NuclearCardiologyProtocols_CID3110();
		this.objNuclearCardiologyProtocolsCID3110.setNuclearCardiologyProtocols(enumNuclearCardiologyProtocols);

		String strCM = objNuclearCardiologyProtocolsCID3110.getCodeMeaning();
		String strCV = objNuclearCardiologyProtocolsCID3110.getCodeValue();
		String strCSD = objNuclearCardiologyProtocolsCID3110.getCodingSchemeDesignator();
		String strSNOMEDCTID = objNuclearCardiologyProtocolsCID3110.getSNOMEDCTID();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCM, strCV,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Acquisition Protocol.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setAcquisitionProtocol(int[] arrPosition)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.ACQUISITION_PROTOCOL.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.ACQUISITION_PROTOCOL_125203.getValue();
		String strCSD = EnumCodingSchemeDesignator.DCM.getValue();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, "", "", "","");
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Contrast echocardiography.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setContrastEchocardiographyl(int[] arrPosition)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.CONTRAST_ECHOCARDIOGRAPHY.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.CONTRAST_ECHOCARDIOGRAPHY_P5_B3008.getValue();
		String strCSD = EnumCodingSchemeDesignator.SRT.getValue();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, "", "", "","");
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Patient Orientation.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setPatientOrientation(int[] arrPosition, EnumCM_PatientOrientation enumPatientOrientation )
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.PATIENT_ORIENTATION.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.PATIENT_ORIENTATION_113743.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objPatientOrientationCID19)
			this.objPatientOrientationCID19 = new PatientOrientation_CID19();
		this.objPatientOrientationCID19.setPatientOrientation(enumPatientOrientation);

		String strCM = objPatientOrientationCID19.getCodeMeaning();
		String strCV = objPatientOrientationCID19.getCodeValue();
		String strCSD = objPatientOrientationCID19.getCodingSchemeDesignator();
		String strSNOMEDCTID = objPatientOrientationCID19.getSNOMEDCTID();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}
	/**
	 * Sets the value for Cardiac Gating.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setCardiacGating(int[] arrPosition, EnumCM_CardiacSynchronizationTechnique enumCardiacSynchronizationTechnique)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.CARDIAC_GATING.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.CARDIAC_GATING_RID11248.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.RADLEX.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objCardiacSynchronizationTechniqueCID3104)
			this.objCardiacSynchronizationTechniqueCID3104 = new CardiacSynchronizationTechnique_CID3104();
		this.objCardiacSynchronizationTechniqueCID3104.setCardiacSynchronizationTechnique(enumCardiacSynchronizationTechnique);

		String strCM = objCardiacSynchronizationTechniqueCID3104.getCodeMeaning();
		String strCV = objCardiacSynchronizationTechniqueCID3104.getCodeValue();
		String strCSD = objCardiacSynchronizationTechniqueCID3104.getCodingSchemeDesignator();
		
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,"");
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Patient Orientation Modifier.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setPatientOrientationModifier(int[] arrPosition, EnumCM_PatientOrientationModifier enumPatientOrientationModifier)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.PATIENT_ORIENTATION_MODIFIER.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.PATIENT_ORIENTATION_MODIFIER_113744.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objPatientOrientationModifierCID20)
			this.objPatientOrientationModifierCID20 = new PatientOrientationModifier_CID20();
		this.objPatientOrientationModifierCID20.setPatientOrientationModifier(enumPatientOrientationModifier);

		String strCM = objPatientOrientationModifierCID20.getCodeMeaning();
		String strCV = objPatientOrientationModifierCID20.getCodeValue();
		String strCSD = objPatientOrientationModifierCID20.getCodingSchemeDesignator();
		String strSNOMEDCTID = objPatientOrientationModifierCID20.getSNOMEDCTID();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Procedure Time Base.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setProcedureTimeBase(int[] arrPosition)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.PROCEDURE_TIME_BASE.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.PROCEDURE_TIME_BASE_122701.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();
	
		/**
		 *Creating a node of Value Type DATETIME and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createDateTimeNode(arrPosition, strCodeMeaning, strCodeValue, strCSDesg, "");
		getSRTree().addChild(objContentSequenceItem);
	}
	/**
	 * Sets the value Procedure Description.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setProcedureDescription(int[] arrPosition)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.PROCEDURE_DESCRIPTION.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.PROCEDURE_DESCRIPTION_121065.getValue();
		String strCSD = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 *Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, "");
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value Stress Protocol.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setStressProtocol(int[] arrPosition)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.STRESS_PROTOCOL.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.STRESS_PROTOCOL_109056.getValue();
		String strCSD = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 *Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, "");
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value Stress Protocol.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 */
	public void setStressProtocol(int[] arrPosition, EnumCM_StressProtocols enumoStressProtocols)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.STRESS_PROTOCOL.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.STRESS_PROTOCOL_109056.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		if(null== this.objStressProtocolsCID3261)
			this.objStressProtocolsCID3261 = new StressProtocols_CID3261();
		this.objStressProtocolsCID3261.setStressProtocols(enumoStressProtocols);

		String strCM = objStressProtocolsCID3261.getCodeMeaning();
		String strCV = objStressProtocolsCID3261.getCodeValue();
		String strCSD = objStressProtocolsCID3261.getCodingSchemeDesignator();
		String strSNOMEDCTID = objStressProtocolsCID3261.getSNOMEDCTID();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value Image Type.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumContinuityOfContent 
	 */
	public void setImageType(int[] arrPosition)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.IMAGE_TYPE.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.IMAGE_TYPE_121141.getValue();
		String strCSD = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 *Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, "");
		getSRTree().addChild(objContentSequenceItem);
	}
	/**
	 * Sets the value Indications for Pharmacological Stress.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumContinuityOfContent 
	 */
	public void setIndicationsForPharmacologicalStress(int[] arrPosition, EnumContinuityOfContent enumContinuityOfContent)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.INDICATIONS_FOR_PHARMACOLOGICAL_STRESS.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.INDICATIONS_FOR_PHARMACOLOGICAL_STRESS_122700.getValue();
		String strCSD = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 *Creating a node of Value Type CONTAINER and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createContainer(arrPosition, strCodeMeaning, strCodeValue, strCSD, enumContinuityOfContent);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value Indications for Current Procedure Descriptions.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumContinuityOfContent 
	 */
	public void setCurrentProcedureDescriptions(int[] arrPosition, EnumContinuityOfContent enumContinuityOfContent)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.CURRENT_PROCEDURE_DESCRIPTION.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.CURRENT_PROCEDURE_DESCRIPTION_55111_9.getValue();
		String strCSD = EnumCodingSchemeDesignator.LN.getValue();

		/**
		 *Creating a node of Value Type CONTAINER and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createContainer(arrPosition, strCodeMeaning, strCodeValue, strCSD, enumContinuityOfContent);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Pharmacological Stress Agent.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setPharmacologicalStressAgent(int[] arrPosition, EnumCM_StressAgents enumStressAgents)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.PHARMACOLOGICAL_STRESS_AGENT.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.PHARMACOLOGICAL_STRESS_AGENT_G_C11C.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.SRT.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		if(null== this.objStressAgentsCID3204)
			this.objStressAgentsCID3204 = new StressAgents_CID3204();
		this.objStressAgentsCID3204.setStressAgents(enumStressAgents);

		String strCM = objStressAgentsCID3204.getCodeMeaning();
		String strCV = objStressAgentsCID3204.getCodeValue();
		String strCSD = objStressAgentsCID3204.getCodingSchemeDesignator();
		String strSNOMEDCTID = objStressAgentsCID3204.getSNOMEDCTID();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Exerciser Device.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setExerciserDevice(int[] arrPosition, EnumCM_ExerciserDevice enumExerciserDevice)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.EXERCISER_DEVICE.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.EXERCISER_DEVICE_A_17200.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.SRT.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objExerciserDeviceCID3203)
			this.objExerciserDeviceCID3203 = new ExerciserDevice_CID3203();
		this.objExerciserDeviceCID3203.setExerciserDevice(enumExerciserDevice);

		String strCM = objExerciserDeviceCID3203.getCodeMeaning();
		String strCV = objExerciserDeviceCID3203.getCodeValue();
		String strCSD = objExerciserDeviceCID3203.getCodingSchemeDesignator();
		String strSNOMEDCTID = objExerciserDeviceCID3203.getSNOMEDCTID();
		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}
	
	/**
	 * Sets the value for Lead System.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree. 
	 */
	public void setLeadSystem(int[] arrPosition, EnumCM_ElectrodePlacementValues enumElectrodePlacementValues)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_StressTestProcedureDescription.LEAD_SYSTEM.getValue();
		String strCodeValue = EnumCV_StressTestProcedureDescription.LEAD_SYSTEM_10_11345.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.MDC.getValue();
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		
		if(null== this.objElectrodePlacementValuesCID3263)
			this.objElectrodePlacementValuesCID3263 = new ElectrodePlacementValues_CID3263();
		this.objElectrodePlacementValuesCID3263.setElectrodePlacementValues(enumElectrodePlacementValues);

		String strCM = objElectrodePlacementValuesCID3263.getCodeMeaning();
		String strCV = objElectrodePlacementValuesCID3263.getCodeValue();
		String strCSD = objElectrodePlacementValuesCID3263.getCodingSchemeDesignator();

		/**
		 *Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strCSDesg, strCV, strCM,"");
		getSRTree().addChild(objContentSequenceItem);
	}

}
